OpenShot Audio Library | OpenShotAudio: juce::dsp::SIMDNativeOps< double > Struct Reference

OpenShot Audio Library | OpenShotAudio 0.3.2

Loading...
Searching...
No Matches
Public Types | Public Member Functions | Static Public Member Functions | List of all members
juce::dsp::SIMDNativeOps< double > Struct Reference

`#include <juce_avx_SIMDNativeOps.h>`

## Public Types
using | vSIMDType = __m256d
using | vSIMDType = { double v[2]
using | fb = SIMDFallbackOps< double, vSIMDType >
using | vSIMDType = __m128d

## Public Member Functions
| DECLARE_AVX_SIMD_CONST (int64_t, kAllBitsSet)
| DECLARE_AVX_SIMD_CONST (int64_t, kEvenHighBit)
| DECLARE_AVX_SIMD_CONST (double, kOne)
| DECLARE_SSE_SIMD_CONST (int64_t, kAllBitsSet)
| DECLARE_SSE_SIMD_CONST (int64_t, kEvenHighBit)
| DECLARE_SSE_SIMD_CONST (double, kOne)

## Static Public Member Functions
static forcedinline __m256d JUCE_VECTOR_CALLTYPE | vconst (const double *a) noexcept
static forcedinline __m256d JUCE_VECTOR_CALLTYPE | vconst (const int64_t *a) noexcept
static forcedinline __m256d JUCE_VECTOR_CALLTYPE | expand (double s) noexcept
static forcedinline __m256d JUCE_VECTOR_CALLTYPE | load (const double *a) noexcept
static forcedinline void JUCE_VECTOR_CALLTYPE | store (__m256d value, double *dest) noexcept
static forcedinline __m256d JUCE_VECTOR_CALLTYPE | add (__m256d a, __m256d b) noexcept
static forcedinline __m256d JUCE_VECTOR_CALLTYPE | sub (__m256d a, __m256d b) noexcept
static forcedinline __m256d JUCE_VECTOR_CALLTYPE | mul (__m256d a, __m256d b) noexcept
static forcedinline __m256d JUCE_VECTOR_CALLTYPE | bit_and (__m256d a, __m256d b) noexcept
static forcedinline __m256d JUCE_VECTOR_CALLTYPE | bit_or (__m256d a, __m256d b) noexcept
static forcedinline __m256d JUCE_VECTOR_CALLTYPE | bit_xor (__m256d a, __m256d b) noexcept
static forcedinline __m256d JUCE_VECTOR_CALLTYPE | bit_notand (__m256d a, __m256d b) noexcept
static forcedinline __m256d JUCE_VECTOR_CALLTYPE | bit_not (__m256d a) noexcept
static forcedinline __m256d JUCE_VECTOR_CALLTYPE | min (__m256d a, __m256d b) noexcept
static forcedinline __m256d JUCE_VECTOR_CALLTYPE | max (__m256d a, __m256d b) noexcept
static forcedinline __m256d JUCE_VECTOR_CALLTYPE | equal (__m256d a, __m256d b) noexcept
static forcedinline __m256d JUCE_VECTOR_CALLTYPE | notEqual (__m256d a, __m256d b) noexcept
static forcedinline __m256d JUCE_VECTOR_CALLTYPE | greaterThan (__m256d a, __m256d b) noexcept
static forcedinline __m256d JUCE_VECTOR_CALLTYPE | greaterThanOrEqual (__m256d a, __m256d b) noexcept
static forcedinline bool JUCE_VECTOR_CALLTYPE | allEqual (__m256d a, __m256d b) noexcept
static forcedinline __m256d JUCE_VECTOR_CALLTYPE | multiplyAdd (__m256d a, __m256d b, __m256d c) noexcept
static forcedinline __m256d JUCE_VECTOR_CALLTYPE | dupeven (__m256d a) noexcept
static forcedinline __m256d JUCE_VECTOR_CALLTYPE | dupodd (__m256d a) noexcept
static forcedinline __m256d JUCE_VECTOR_CALLTYPE | swapevenodd (__m256d a) noexcept
static forcedinline __m256d JUCE_VECTOR_CALLTYPE | oddevensum (__m256d a) noexcept
static forcedinline double JUCE_VECTOR_CALLTYPE | get (__m256d v, size_t i) noexcept
static forcedinline __m256d JUCE_VECTOR_CALLTYPE | set (__m256d v, size_t i, double s) noexcept
static forcedinline __m256d JUCE_VECTOR_CALLTYPE | truncate (__m256d a) noexcept
static forcedinline __m256d JUCE_VECTOR_CALLTYPE | cmplxmul (__m256d a, __m256d b) noexcept
static forcedinline double JUCE_VECTOR_CALLTYPE | sum (__m256d a) noexcept
static forcedinline vSIMDType | expand (double s) noexcept
static forcedinline vSIMDType | load (const double *a) noexcept
static forcedinline void | store (vSIMDType v, double *a) noexcept
static forcedinline double | get (vSIMDType v, size_t i) noexcept
static forcedinline vSIMDType | set (vSIMDType v, size_t i, double s) noexcept
static forcedinline vSIMDType | add (vSIMDType a, vSIMDType b) noexcept
static forcedinline vSIMDType | sub (vSIMDType a, vSIMDType b) noexcept
static forcedinline vSIMDType | mul (vSIMDType a, vSIMDType b) noexcept
static forcedinline vSIMDType | bit_and (vSIMDType a, vSIMDType b) noexcept
static forcedinline vSIMDType | bit_or (vSIMDType a, vSIMDType b) noexcept
static forcedinline vSIMDType | bit_xor (vSIMDType a, vSIMDType b) noexcept
static forcedinline vSIMDType | bit_notand (vSIMDType a, vSIMDType b) noexcept
static forcedinline vSIMDType | bit_not (vSIMDType a) noexcept
static forcedinline vSIMDType | min (vSIMDType a, vSIMDType b) noexcept
static forcedinline vSIMDType | max (vSIMDType a, vSIMDType b) noexcept
static forcedinline vSIMDType | equal (vSIMDType a, vSIMDType b) noexcept
static forcedinline vSIMDType | notEqual (vSIMDType a, vSIMDType b) noexcept
static forcedinline vSIMDType | greaterThan (vSIMDType a, vSIMDType b) noexcept
static forcedinline vSIMDType | greaterThanOrEqual (vSIMDType a, vSIMDType b) noexcept
static forcedinline bool | allEqual (vSIMDType a, vSIMDType b) noexcept
static forcedinline vSIMDType | multiplyAdd (vSIMDType a, vSIMDType b, vSIMDType c) noexcept
static forcedinline vSIMDType | cmplxmul (vSIMDType a, vSIMDType b) noexcept
static forcedinline double | sum (vSIMDType a) noexcept
static forcedinline vSIMDType | oddevensum (vSIMDType a) noexcept
static forcedinline vSIMDType | truncate (vSIMDType a) noexcept
static forcedinline __m128d JUCE_VECTOR_CALLTYPE | vconst (const double *a) noexcept
static forcedinline __m128d JUCE_VECTOR_CALLTYPE | vconst (const int64_t *a) noexcept
static forcedinline __m128d JUCE_VECTOR_CALLTYPE | expand (double s) noexcept
static forcedinline __m128d JUCE_VECTOR_CALLTYPE | load (const double *a) noexcept
static forcedinline void JUCE_VECTOR_CALLTYPE | store (__m128d value, double *dest) noexcept
static forcedinline __m128d JUCE_VECTOR_CALLTYPE | add (__m128d a, __m128d b) noexcept
static forcedinline __m128d JUCE_VECTOR_CALLTYPE | sub (__m128d a, __m128d b) noexcept
static forcedinline __m128d JUCE_VECTOR_CALLTYPE | mul (__m128d a, __m128d b) noexcept
static forcedinline __m128d JUCE_VECTOR_CALLTYPE | bit_and (__m128d a, __m128d b) noexcept
static forcedinline __m128d JUCE_VECTOR_CALLTYPE | bit_or (__m128d a, __m128d b) noexcept
static forcedinline __m128d JUCE_VECTOR_CALLTYPE | bit_xor (__m128d a, __m128d b) noexcept
static forcedinline __m128d JUCE_VECTOR_CALLTYPE | bit_notand (__m128d a, __m128d b) noexcept
static forcedinline __m128d JUCE_VECTOR_CALLTYPE | bit_not (__m128d a) noexcept
static forcedinline __m128d JUCE_VECTOR_CALLTYPE | min (__m128d a, __m128d b) noexcept
static forcedinline __m128d JUCE_VECTOR_CALLTYPE | max (__m128d a, __m128d b) noexcept
static forcedinline __m128d JUCE_VECTOR_CALLTYPE | equal (__m128d a, __m128d b) noexcept
static forcedinline __m128d JUCE_VECTOR_CALLTYPE | notEqual (__m128d a, __m128d b) noexcept
static forcedinline __m128d JUCE_VECTOR_CALLTYPE | greaterThan (__m128d a, __m128d b) noexcept
static forcedinline __m128d JUCE_VECTOR_CALLTYPE | greaterThanOrEqual (__m128d a, __m128d b) noexcept
static forcedinline bool JUCE_VECTOR_CALLTYPE | allEqual (__m128d a, __m128d b) noexcept
static forcedinline __m128d JUCE_VECTOR_CALLTYPE | multiplyAdd (__m128d a, __m128d b, __m128d c) noexcept
static forcedinline __m128d JUCE_VECTOR_CALLTYPE | dupeven (__m128d a) noexcept
static forcedinline __m128d JUCE_VECTOR_CALLTYPE | dupodd (__m128d a) noexcept
static forcedinline __m128d JUCE_VECTOR_CALLTYPE | swapevenodd (__m128d a) noexcept
static forcedinline __m128d JUCE_VECTOR_CALLTYPE | oddevensum (__m128d a) noexcept
static forcedinline double JUCE_VECTOR_CALLTYPE | get (__m128d v, size_t i) noexcept
static forcedinline __m128d JUCE_VECTOR_CALLTYPE | set (__m128d v, size_t i, double s) noexcept
static forcedinline __m128d JUCE_VECTOR_CALLTYPE | truncate (__m128d a) noexcept
static forcedinline __m128d JUCE_VECTOR_CALLTYPE | cmplxmul (__m128d a, __m128d b) noexcept
static forcedinline double JUCE_VECTOR_CALLTYPE | sum (__m128d a) noexcept

## Detailed Description

Double-precision floating point AVX intrinsics.

Double-precision floating point NEON intrinsics does not exist in NEON so we need to emulate this.

Double-precision floating point SSE intrinsics.

Definition at line 144 of file juce_avx_SIMDNativeOps.h.

## Member Typedef Documentation

## ◆ fb

using juce::dsp::SIMDNativeOps< double >::fb = SIMDFallbackOps<double, vSIMDType>

Definition at line 471 of file juce_neon_SIMDNativeOps.h.

## ◆ vSIMDType [1/3]

using juce::dsp::SIMDNativeOps< double >::vSIMDType = __m256d

Definition at line 146 of file juce_avx_SIMDNativeOps.h.

## ◆ vSIMDType [2/3]

using juce::dsp::SIMDNativeOps< double >::vSIMDType = { double v[2]

Definition at line 470 of file juce_neon_SIMDNativeOps.h.

## ◆ vSIMDType [3/3]

using juce::dsp::SIMDNativeOps< double >::vSIMDType = __m128d

Definition at line 133 of file juce_sse_SIMDNativeOps.h.

## Member Function Documentation

## ◆ add() [1/3]

static forcedinline __m128d JUCE_VECTOR_CALLTYPE juce::dsp::SIMDNativeOps< double >::add | ( | __m128d | a,
|  | __m128d | b
| ) |  |
| inlinestaticnoexcept

Definition at line 146 of file juce_sse_SIMDNativeOps.h.

## ◆ add() [2/3]

static forcedinline __m256d JUCE_VECTOR_CALLTYPE juce::dsp::SIMDNativeOps< double >::add | ( | __m256d | a,
|  | __m256d | b
| ) |  |
| inlinestaticnoexcept

Definition at line 159 of file juce_avx_SIMDNativeOps.h.

## ◆ add() [3/3]

static forcedinline vSIMDType juce::dsp::SIMDNativeOps< double >::add | ( | vSIMDType | a,
|  | vSIMDType | b
| ) |  |
| inlinestaticnoexcept

Definition at line 478 of file juce_neon_SIMDNativeOps.h.

## ◆ allEqual() [1/3]

static forcedinline bool JUCE_VECTOR_CALLTYPE juce::dsp::SIMDNativeOps< double >::allEqual | ( | __m128d | a,
|  | __m128d | b
| ) |  |
| inlinestaticnoexcept

Definition at line 160 of file juce_sse_SIMDNativeOps.h.

## ◆ allEqual() [2/3]

static forcedinline bool JUCE_VECTOR_CALLTYPE juce::dsp::SIMDNativeOps< double >::allEqual | ( | __m256d | a,
|  | __m256d | b
| ) |  |
| inlinestaticnoexcept

Definition at line 173 of file juce_avx_SIMDNativeOps.h.

## ◆ allEqual() [3/3]

static forcedinline bool juce::dsp::SIMDNativeOps< double >::allEqual | ( | vSIMDType | a,
|  | vSIMDType | b
| ) |  |
| inlinestaticnoexcept

Definition at line 492 of file juce_neon_SIMDNativeOps.h.

## ◆ bit_and() [1/3]

static forcedinline __m128d JUCE_VECTOR_CALLTYPE juce::dsp::SIMDNativeOps< double >::bit_and | ( | __m128d | a,
|  | __m128d | b
| ) |  |
| inlinestaticnoexcept

Definition at line 149 of file juce_sse_SIMDNativeOps.h.

## ◆ bit_and() [2/3]

static forcedinline __m256d JUCE_VECTOR_CALLTYPE juce::dsp::SIMDNativeOps< double >::bit_and | ( | __m256d | a,
|  | __m256d | b
| ) |  |
| inlinestaticnoexcept

Definition at line 162 of file juce_avx_SIMDNativeOps.h.

## ◆ bit_and() [3/3]

static forcedinline vSIMDType juce::dsp::SIMDNativeOps< double >::bit_and | ( | vSIMDType | a,
|  | vSIMDType | b
| ) |  |
| inlinestaticnoexcept

Definition at line 481 of file juce_neon_SIMDNativeOps.h.

## ◆ bit_not() [1/3]

static forcedinline __m128d JUCE_VECTOR_CALLTYPE juce::dsp::SIMDNativeOps< double >::bit_not | ( | __m128d | a | ) |
| inlinestaticnoexcept

Definition at line 153 of file juce_sse_SIMDNativeOps.h.

## ◆ bit_not() [2/3]

static forcedinline __m256d JUCE_VECTOR_CALLTYPE juce::dsp::SIMDNativeOps< double >::bit_not | ( | __m256d | a | ) |
| inlinestaticnoexcept

Definition at line 166 of file juce_avx_SIMDNativeOps.h.

## ◆ bit_not() [3/3]

static forcedinline vSIMDType juce::dsp::SIMDNativeOps< double >::bit_not | ( | vSIMDType | a | ) |
| inlinestaticnoexcept

Definition at line 485 of file juce_neon_SIMDNativeOps.h.

## ◆ bit_notand() [1/3]

static forcedinline __m128d JUCE_VECTOR_CALLTYPE juce::dsp::SIMDNativeOps< double >::bit_notand | ( | __m128d | a,
|  | __m128d | b
| ) |  |
| inlinestaticnoexcept

Definition at line 152 of file juce_sse_SIMDNativeOps.h.

## ◆ bit_notand() [2/3]

static forcedinline __m256d JUCE_VECTOR_CALLTYPE juce::dsp::SIMDNativeOps< double >::bit_notand | ( | __m256d | a,
|  | __m256d | b
| ) |  |
| inlinestaticnoexcept

Definition at line 165 of file juce_avx_SIMDNativeOps.h.

## ◆ bit_notand() [3/3]

static forcedinline vSIMDType juce::dsp::SIMDNativeOps< double >::bit_notand | ( | vSIMDType | a,
|  | vSIMDType | b
| ) |  |
| inlinestaticnoexcept

Definition at line 484 of file juce_neon_SIMDNativeOps.h.

## ◆ bit_or() [1/3]

static forcedinline __m128d JUCE_VECTOR_CALLTYPE juce::dsp::SIMDNativeOps< double >::bit_or | ( | __m128d | a,
|  | __m128d | b
| ) |  |
| inlinestaticnoexcept

Definition at line 150 of file juce_sse_SIMDNativeOps.h.

## ◆ bit_or() [2/3]

static forcedinline __m256d JUCE_VECTOR_CALLTYPE juce::dsp::SIMDNativeOps< double >::bit_or | ( | __m256d | a,
|  | __m256d | b
| ) |  |
| inlinestaticnoexcept

Definition at line 163 of file juce_avx_SIMDNativeOps.h.

## ◆ bit_or() [3/3]

static forcedinline vSIMDType juce::dsp::SIMDNativeOps< double >::bit_or | ( | vSIMDType | a,
|  | vSIMDType | b
| ) |  |
| inlinestaticnoexcept

Definition at line 482 of file juce_neon_SIMDNativeOps.h.

## ◆ bit_xor() [1/3]

static forcedinline __m128d JUCE_VECTOR_CALLTYPE juce::dsp::SIMDNativeOps< double >::bit_xor | ( | __m128d | a,
|  | __m128d | b
| ) |  |
| inlinestaticnoexcept

Definition at line 151 of file juce_sse_SIMDNativeOps.h.

## ◆ bit_xor() [2/3]

static forcedinline __m256d JUCE_VECTOR_CALLTYPE juce::dsp::SIMDNativeOps< double >::bit_xor | ( | __m256d | a,
|  | __m256d | b
| ) |  |
| inlinestaticnoexcept

Definition at line 164 of file juce_avx_SIMDNativeOps.h.

## ◆ bit_xor() [3/3]

static forcedinline vSIMDType juce::dsp::SIMDNativeOps< double >::bit_xor | ( | vSIMDType | a,
|  | vSIMDType | b
| ) |  |
| inlinestaticnoexcept

Definition at line 483 of file juce_neon_SIMDNativeOps.h.

## ◆ cmplxmul() [1/3]

static forcedinline __m128d JUCE_VECTOR_CALLTYPE juce::dsp::SIMDNativeOps< double >::cmplxmul | ( | __m128d | a,
|  | __m128d | b
| ) |  |
| inlinestaticnoexcept

Definition at line 171 of file juce_sse_SIMDNativeOps.h.

## ◆ cmplxmul() [2/3]

static forcedinline __m256d JUCE_VECTOR_CALLTYPE juce::dsp::SIMDNativeOps< double >::cmplxmul | ( | __m256d | a,
|  | __m256d | b
| ) |  |
| inlinestaticnoexcept

Definition at line 184 of file juce_avx_SIMDNativeOps.h.

## ◆ cmplxmul() [3/3]

static forcedinline vSIMDType juce::dsp::SIMDNativeOps< double >::cmplxmul | ( | vSIMDType | a,
|  | vSIMDType | b
| ) |  |
| inlinestaticnoexcept

Definition at line 494 of file juce_neon_SIMDNativeOps.h.

## ◆ dupeven() [1/2]

static forcedinline __m128d JUCE_VECTOR_CALLTYPE juce::dsp::SIMDNativeOps< double >::dupeven | ( | __m128d | a | ) |
| inlinestaticnoexcept

Definition at line 162 of file juce_sse_SIMDNativeOps.h.

## ◆ dupeven() [2/2]

static forcedinline __m256d JUCE_VECTOR_CALLTYPE juce::dsp::SIMDNativeOps< double >::dupeven | ( | __m256d | a | ) |
| inlinestaticnoexcept

Definition at line 175 of file juce_avx_SIMDNativeOps.h.

## ◆ dupodd() [1/2]

static forcedinline __m128d JUCE_VECTOR_CALLTYPE juce::dsp::SIMDNativeOps< double >::dupodd | ( | __m128d | a | ) |
| inlinestaticnoexcept

Definition at line 163 of file juce_sse_SIMDNativeOps.h.

## ◆ dupodd() [2/2]

static forcedinline __m256d JUCE_VECTOR_CALLTYPE juce::dsp::SIMDNativeOps< double >::dupodd | ( | __m256d | a | ) |
| inlinestaticnoexcept

Definition at line 176 of file juce_avx_SIMDNativeOps.h.

## ◆ equal() [1/3]

static forcedinline __m128d JUCE_VECTOR_CALLTYPE juce::dsp::SIMDNativeOps< double >::equal | ( | __m128d | a,
|  | __m128d | b
| ) |  |
| inlinestaticnoexcept

Definition at line 156 of file juce_sse_SIMDNativeOps.h.

## ◆ equal() [2/3]

static forcedinline __m256d JUCE_VECTOR_CALLTYPE juce::dsp::SIMDNativeOps< double >::equal | ( | __m256d | a,
|  | __m256d | b
| ) |  |
| inlinestaticnoexcept

Definition at line 169 of file juce_avx_SIMDNativeOps.h.

## ◆ equal() [3/3]

static forcedinline vSIMDType juce::dsp::SIMDNativeOps< double >::equal | ( | vSIMDType | a,
|  | vSIMDType | b
| ) |  |
| inlinestaticnoexcept

Definition at line 488 of file juce_neon_SIMDNativeOps.h.

## ◆ expand() [1/3]

static forcedinline __m256d JUCE_VECTOR_CALLTYPE juce::dsp::SIMDNativeOps< double >::expand | ( | double | s | ) |
| inlinestaticnoexcept

Definition at line 156 of file juce_avx_SIMDNativeOps.h.

## ◆ expand() [2/3]

static forcedinline vSIMDType juce::dsp::SIMDNativeOps< double >::expand | ( | double | s | ) |
| inlinestaticnoexcept

Definition at line 473 of file juce_neon_SIMDNativeOps.h.

## ◆ expand() [3/3]

static forcedinline __m128d JUCE_VECTOR_CALLTYPE juce::dsp::SIMDNativeOps< double >::expand | ( | double | s | ) |
| inlinestaticnoexcept

Definition at line 143 of file juce_sse_SIMDNativeOps.h.

## ◆ get() [1/3]

static forcedinline double JUCE_VECTOR_CALLTYPE juce::dsp::SIMDNativeOps< double >::get | ( | __m128d | v,
|  | size_t | i
| ) |  |
| inlinestaticnoexcept

Definition at line 166 of file juce_sse_SIMDNativeOps.h.

## ◆ get() [2/3]

static forcedinline double JUCE_VECTOR_CALLTYPE juce::dsp::SIMDNativeOps< double >::get | ( | __m256d | v,
|  | size_t | i
| ) |  |
| inlinestaticnoexcept

Definition at line 179 of file juce_avx_SIMDNativeOps.h.

## ◆ get() [3/3]

static forcedinline double juce::dsp::SIMDNativeOps< double >::get | ( | vSIMDType | v,
|  | size_t | i
| ) |  |
| inlinestaticnoexcept

Definition at line 476 of file juce_neon_SIMDNativeOps.h.

## ◆ greaterThan() [1/3]

static forcedinline __m128d JUCE_VECTOR_CALLTYPE juce::dsp::SIMDNativeOps< double >::greaterThan | ( | __m128d | a,
|  | __m128d | b
| ) |  |
| inlinestaticnoexcept

Definition at line 158 of file juce_sse_SIMDNativeOps.h.

## ◆ greaterThan() [2/3]

static forcedinline __m256d JUCE_VECTOR_CALLTYPE juce::dsp::SIMDNativeOps< double >::greaterThan | ( | __m256d | a,
|  | __m256d | b
| ) |  |
| inlinestaticnoexcept

Definition at line 171 of file juce_avx_SIMDNativeOps.h.

## ◆ greaterThan() [3/3]

static forcedinline vSIMDType juce::dsp::SIMDNativeOps< double >::greaterThan | ( | vSIMDType | a,
|  | vSIMDType | b
| ) |  |
| inlinestaticnoexcept

Definition at line 490 of file juce_neon_SIMDNativeOps.h.

## ◆ greaterThanOrEqual() [1/3]

static forcedinline __m128d JUCE_VECTOR_CALLTYPE juce::dsp::SIMDNativeOps< double >::greaterThanOrEqual | ( | __m128d | a,
|  | __m128d | b
| ) |  |
| inlinestaticnoexcept

Definition at line 159 of file juce_sse_SIMDNativeOps.h.

## ◆ greaterThanOrEqual() [2/3]

static forcedinline __m256d JUCE_VECTOR_CALLTYPE juce::dsp::SIMDNativeOps< double >::greaterThanOrEqual | ( | __m256d | a,
|  | __m256d | b
| ) |  |
| inlinestaticnoexcept

Definition at line 172 of file juce_avx_SIMDNativeOps.h.

## ◆ greaterThanOrEqual() [3/3]

static forcedinline vSIMDType juce::dsp::SIMDNativeOps< double >::greaterThanOrEqual | ( | vSIMDType | a,
|  | vSIMDType | b
| ) |  |
| inlinestaticnoexcept

Definition at line 491 of file juce_neon_SIMDNativeOps.h.

## ◆ load() [1/3]

static forcedinline __m256d JUCE_VECTOR_CALLTYPE juce::dsp::SIMDNativeOps< double >::load | ( | const double * | a | ) |
| inlinestaticnoexcept

Definition at line 157 of file juce_avx_SIMDNativeOps.h.

## ◆ load() [2/3]

static forcedinline vSIMDType juce::dsp::SIMDNativeOps< double >::load | ( | const double * | a | ) |
| inlinestaticnoexcept

Definition at line 474 of file juce_neon_SIMDNativeOps.h.

## ◆ load() [3/3]

static forcedinline __m128d JUCE_VECTOR_CALLTYPE juce::dsp::SIMDNativeOps< double >::load | ( | const double * | a | ) |
| inlinestaticnoexcept

Definition at line 144 of file juce_sse_SIMDNativeOps.h.

## ◆ max() [1/3]

static forcedinline __m128d JUCE_VECTOR_CALLTYPE juce::dsp::SIMDNativeOps< double >::max | ( | __m128d | a,
|  | __m128d | b
| ) |  |
| inlinestaticnoexcept

Definition at line 155 of file juce_sse_SIMDNativeOps.h.

## ◆ max() [2/3]

static forcedinline __m256d JUCE_VECTOR_CALLTYPE juce::dsp::SIMDNativeOps< double >::max | ( | __m256d | a,
|  | __m256d | b
| ) |  |
| inlinestaticnoexcept

Definition at line 168 of file juce_avx_SIMDNativeOps.h.

## ◆ max() [3/3]

static forcedinline vSIMDType juce::dsp::SIMDNativeOps< double >::max | ( | vSIMDType | a,
|  | vSIMDType | b
| ) |  |
| inlinestaticnoexcept

Definition at line 487 of file juce_neon_SIMDNativeOps.h.

## ◆ min() [1/3]

static forcedinline __m128d JUCE_VECTOR_CALLTYPE juce::dsp::SIMDNativeOps< double >::min | ( | __m128d | a,
|  | __m128d | b
| ) |  |
| inlinestaticnoexcept

Definition at line 154 of file juce_sse_SIMDNativeOps.h.

## ◆ min() [2/3]

static forcedinline __m256d JUCE_VECTOR_CALLTYPE juce::dsp::SIMDNativeOps< double >::min | ( | __m256d | a,
|  | __m256d | b
| ) |  |
| inlinestaticnoexcept

Definition at line 167 of file juce_avx_SIMDNativeOps.h.

## ◆ min() [3/3]

static forcedinline vSIMDType juce::dsp::SIMDNativeOps< double >::min | ( | vSIMDType | a,
|  | vSIMDType | b
| ) |  |
| inlinestaticnoexcept

Definition at line 486 of file juce_neon_SIMDNativeOps.h.

## ◆ mul() [1/3]

static forcedinline __m128d JUCE_VECTOR_CALLTYPE juce::dsp::SIMDNativeOps< double >::mul | ( | __m128d | a,
|  | __m128d | b
| ) |  |
| inlinestaticnoexcept

Definition at line 148 of file juce_sse_SIMDNativeOps.h.

## ◆ mul() [2/3]

static forcedinline __m256d JUCE_VECTOR_CALLTYPE juce::dsp::SIMDNativeOps< double >::mul | ( | __m256d | a,
|  | __m256d | b
| ) |  |
| inlinestaticnoexcept

Definition at line 161 of file juce_avx_SIMDNativeOps.h.

## ◆ mul() [3/3]

static forcedinline vSIMDType juce::dsp::SIMDNativeOps< double >::mul | ( | vSIMDType | a,
|  | vSIMDType | b
| ) |  |
| inlinestaticnoexcept

Definition at line 480 of file juce_neon_SIMDNativeOps.h.

## ◆ multiplyAdd() [1/3]

static forcedinline __m128d JUCE_VECTOR_CALLTYPE juce::dsp::SIMDNativeOps< double >::multiplyAdd | ( | __m128d | a,
|  | __m128d | b,
|  | __m128d | c
| ) |  |
| inlinestaticnoexcept

Definition at line 161 of file juce_sse_SIMDNativeOps.h.

## ◆ multiplyAdd() [2/3]

static forcedinline __m256d JUCE_VECTOR_CALLTYPE juce::dsp::SIMDNativeOps< double >::multiplyAdd | ( | __m256d | a,
|  | __m256d | b,
|  | __m256d | c
| ) |  |
| inlinestaticnoexcept

Definition at line 174 of file juce_avx_SIMDNativeOps.h.

## ◆ multiplyAdd() [3/3]

static forcedinline vSIMDType juce::dsp::SIMDNativeOps< double >::multiplyAdd | ( | vSIMDType | a,
|  | vSIMDType | b,
|  | vSIMDType | c
| ) |  |
| inlinestaticnoexcept

Definition at line 493 of file juce_neon_SIMDNativeOps.h.

## ◆ notEqual() [1/3]

static forcedinline __m128d JUCE_VECTOR_CALLTYPE juce::dsp::SIMDNativeOps< double >::notEqual | ( | __m128d | a,
|  | __m128d | b
| ) |  |
| inlinestaticnoexcept

Definition at line 157 of file juce_sse_SIMDNativeOps.h.

## ◆ notEqual() [2/3]

static forcedinline __m256d JUCE_VECTOR_CALLTYPE juce::dsp::SIMDNativeOps< double >::notEqual | ( | __m256d | a,
|  | __m256d | b
| ) |  |
| inlinestaticnoexcept

Definition at line 170 of file juce_avx_SIMDNativeOps.h.

## ◆ notEqual() [3/3]

static forcedinline vSIMDType juce::dsp::SIMDNativeOps< double >::notEqual | ( | vSIMDType | a,
|  | vSIMDType | b
| ) |  |
| inlinestaticnoexcept

Definition at line 489 of file juce_neon_SIMDNativeOps.h.

## ◆ oddevensum() [1/3]

static forcedinline __m128d JUCE_VECTOR_CALLTYPE juce::dsp::SIMDNativeOps< double >::oddevensum | ( | __m128d | a | ) |
| inlinestaticnoexcept

Definition at line 165 of file juce_sse_SIMDNativeOps.h.

## ◆ oddevensum() [2/3]

static forcedinline __m256d JUCE_VECTOR_CALLTYPE juce::dsp::SIMDNativeOps< double >::oddevensum | ( | __m256d | a | ) |
| inlinestaticnoexcept

Definition at line 178 of file juce_avx_SIMDNativeOps.h.

## ◆ oddevensum() [3/3]

static forcedinline vSIMDType juce::dsp::SIMDNativeOps< double >::oddevensum | ( | vSIMDType | a | ) |
| inlinestaticnoexcept

Definition at line 496 of file juce_neon_SIMDNativeOps.h.

## ◆ set() [1/3]

static forcedinline __m128d JUCE_VECTOR_CALLTYPE juce::dsp::SIMDNativeOps< double >::set | ( | __m128d | v,
|  | size_t | i,
|  | double | s
| ) |  |
| inlinestaticnoexcept

Definition at line 167 of file juce_sse_SIMDNativeOps.h.

## ◆ set() [2/3]

static forcedinline __m256d JUCE_VECTOR_CALLTYPE juce::dsp::SIMDNativeOps< double >::set | ( | __m256d | v,
|  | size_t | i,
|  | double | s
| ) |  |
| inlinestaticnoexcept

Definition at line 180 of file juce_avx_SIMDNativeOps.h.

## ◆ set() [3/3]

static forcedinline vSIMDType juce::dsp::SIMDNativeOps< double >::set | ( | vSIMDType | v,
|  | size_t | i,
|  | double | s
| ) |  |
| inlinestaticnoexcept

Definition at line 477 of file juce_neon_SIMDNativeOps.h.

## ◆ store() [1/3]

static forcedinline void JUCE_VECTOR_CALLTYPE juce::dsp::SIMDNativeOps< double >::store | ( | __m128d | value,
|  | double * | dest
| ) |  |
| inlinestaticnoexcept

Definition at line 145 of file juce_sse_SIMDNativeOps.h.

## ◆ store() [2/3]

static forcedinline void JUCE_VECTOR_CALLTYPE juce::dsp::SIMDNativeOps< double >::store | ( | __m256d | value,
|  | double * | dest
| ) |  |
| inlinestaticnoexcept

Definition at line 158 of file juce_avx_SIMDNativeOps.h.

## ◆ store() [3/3]

static forcedinline void juce::dsp::SIMDNativeOps< double >::store | ( | vSIMDType | v,
|  | double * | a
| ) |  |
| inlinestaticnoexcept

Definition at line 475 of file juce_neon_SIMDNativeOps.h.

## ◆ sub() [1/3]

static forcedinline __m128d JUCE_VECTOR_CALLTYPE juce::dsp::SIMDNativeOps< double >::sub | ( | __m128d | a,
|  | __m128d | b
| ) |  |
| inlinestaticnoexcept

Definition at line 147 of file juce_sse_SIMDNativeOps.h.

## ◆ sub() [2/3]

static forcedinline __m256d JUCE_VECTOR_CALLTYPE juce::dsp::SIMDNativeOps< double >::sub | ( | __m256d | a,
|  | __m256d | b
| ) |  |
| inlinestaticnoexcept

Definition at line 160 of file juce_avx_SIMDNativeOps.h.

## ◆ sub() [3/3]

static forcedinline vSIMDType juce::dsp::SIMDNativeOps< double >::sub | ( | vSIMDType | a,
|  | vSIMDType | b
| ) |  |
| inlinestaticnoexcept

Definition at line 479 of file juce_neon_SIMDNativeOps.h.

## ◆ sum() [1/3]

static forcedinline double JUCE_VECTOR_CALLTYPE juce::dsp::SIMDNativeOps< double >::sum | ( | __m128d | a | ) |
| inlinestaticnoexcept

Definition at line 178 of file juce_sse_SIMDNativeOps.h.

## ◆ sum() [2/3]

static forcedinline double JUCE_VECTOR_CALLTYPE juce::dsp::SIMDNativeOps< double >::sum | ( | __m256d | a | ) |
| inlinestaticnoexcept

Definition at line 191 of file juce_avx_SIMDNativeOps.h.

## ◆ sum() [3/3]

static forcedinline double juce::dsp::SIMDNativeOps< double >::sum | ( | vSIMDType | a | ) |
| inlinestaticnoexcept

Definition at line 495 of file juce_neon_SIMDNativeOps.h.

## ◆ swapevenodd() [1/2]

static forcedinline __m128d JUCE_VECTOR_CALLTYPE juce::dsp::SIMDNativeOps< double >::swapevenodd | ( | __m128d | a | ) |
| inlinestaticnoexcept

Definition at line 164 of file juce_sse_SIMDNativeOps.h.

## ◆ swapevenodd() [2/2]

static forcedinline __m256d JUCE_VECTOR_CALLTYPE juce::dsp::SIMDNativeOps< double >::swapevenodd | ( | __m256d | a | ) |
| inlinestaticnoexcept

Definition at line 177 of file juce_avx_SIMDNativeOps.h.

## ◆ truncate() [1/3]

static forcedinline __m128d JUCE_VECTOR_CALLTYPE juce::dsp::SIMDNativeOps< double >::truncate | ( | __m128d | a | ) |
| inlinestaticnoexcept

Definition at line 168 of file juce_sse_SIMDNativeOps.h.

## ◆ truncate() [2/3]

static forcedinline __m256d JUCE_VECTOR_CALLTYPE juce::dsp::SIMDNativeOps< double >::truncate | ( | __m256d | a | ) |
| inlinestaticnoexcept

Definition at line 181 of file juce_avx_SIMDNativeOps.h.

## ◆ truncate() [3/3]

static forcedinline vSIMDType juce::dsp::SIMDNativeOps< double >::truncate | ( | vSIMDType | a | ) |
| inlinestaticnoexcept

Definition at line 497 of file juce_neon_SIMDNativeOps.h.

## ◆ vconst() [1/4]

static forcedinline __m256d JUCE_VECTOR_CALLTYPE juce::dsp::SIMDNativeOps< double >::vconst | ( | const double * | a | ) |
| inlinestaticnoexcept

Definition at line 154 of file juce_avx_SIMDNativeOps.h.

## ◆ vconst() [2/4]

static forcedinline __m128d JUCE_VECTOR_CALLTYPE juce::dsp::SIMDNativeOps< double >::vconst | ( | const double * | a | ) |
| inlinestaticnoexcept

Definition at line 141 of file juce_sse_SIMDNativeOps.h.

## ◆ vconst() [3/4]

static forcedinline __m256d JUCE_VECTOR_CALLTYPE juce::dsp::SIMDNativeOps< double >::vconst | ( | const int64_t * | a | ) |
| inlinestaticnoexcept

Definition at line 155 of file juce_avx_SIMDNativeOps.h.

## ◆ vconst() [4/4]

static forcedinline __m128d JUCE_VECTOR_CALLTYPE juce::dsp::SIMDNativeOps< double >::vconst | ( | const int64_t * | a | ) |
| inlinestaticnoexcept

Definition at line 142 of file juce_sse_SIMDNativeOps.h.

The documentation for this struct was generated from the following files:

- juce_avx_SIMDNativeOps.h
- juce_neon_SIMDNativeOps.h
- juce_sse_SIMDNativeOps.h